%define glib2_version 2.67.0

%global tarball_version %%(echo %{version} | tr '~' '.')

# No libproxy in RHEL
%if !0%{?rhel}
%global with_libproxy 1
%endif

Name:           glib-networking
Version:        2.70.1
Release:        %autorelease
Summary:        Networking support for GLib

License:        LGPLv2+
URL:            http://www.gnome.org
Source0:        http://download.gnome.org/sources/glib-networking/2.70/%{name}-%{tarball_version}.tar.xz

# https://bugzilla.redhat.com/show_bug.cgi?id=2024296
Patch0:         sabotage-revocation-checks.patch

BuildRequires:  ca-certificates
BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  meson
BuildRequires:  pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(gsettings-desktop-schemas)
%if 0%{?with_libproxy}
BuildRequires:  pkgconfig(libproxy-1.0)
%endif
BuildRequires:  pkgconfig(p11-kit-1)
BuildRequires:  systemd-rpm-macros

Requires:       ca-certificates
Requires:       glib2%{?_isa} >= %{glib2_version}
Requires:       gsettings-desktop-schemas

%description
This package contains modules that extend the networking support in
GIO. In particular, it contains libproxy- and GSettings-based
GProxyResolver implementations and a gnutls-based GTlsConnection
implementation.

%package tests
Summary: Tests for the glib-networking package
Requires: %{name}%{?_isa} = %{version}-%{release}

%description tests
The glib-networking-tests package contains tests that can be used to verify
the functionality of the installed glib-networking package.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson \
%if !0%{?with_libproxy}
  -Dlibproxy=disabled \
%endif
  -Dinstalled_tests=true \
  %nil
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc NEWS README
%{_libdir}/gio/modules/libgiognomeproxy.so
%{_libdir}/gio/modules/libgiognutls.so
%if 0%{?with_libproxy}
%{_libdir}/gio/modules/libgiolibproxy.so
%{_libexecdir}/glib-pacrunner
%{_datadir}/dbus-1/services/org.gtk.GLib.PACRunner.service
%{_userunitdir}/glib-pacrunner.service
%endif

%files tests
%{_libexecdir}/installed-tests/glib-networking
%{_datadir}/installed-tests

%changelog
%autochangelog
